import React from 'react';
import { AppProps } from 'next/app';
import './globals.scss';
import { LanguageProvider } from '@/providers/LanguageProvider';
import { APIProvider } from '@/providers/APIProvider';

const RootLayout:React.FC<AppProps> = ({ Component, pageProps }) => {
  return (
    <>
      <LanguageProvider>
        <APIProvider>
          <Component {...pageProps} />
        </APIProvider>
      </LanguageProvider>
    </>
  );
}

export default RootLayout;